<div id="top_of_dialog">
	<strong>Nuova configurazione</strong>
</div>

<div style="margin-top: 15px">
	<div class="contentsDiv marginLeftZero" id="rightPanel">
		<form autocomplete="off">
		<div class="listViewPageDiv">

			<div class="listViewActionsDiv row-fluid">
				<table class="table table-bordered noHoverTable">
					<thead>
						<tr></tr>
					</thead>
					<tbody>
						<tr>
							<td>
								Inizio periodo di competenza
							</td>
							<td>
								<div class="controls">
									<div class="input-append date" id="validFrom" data-date-format="dd-mm-yyyy">
										<input placeholder="gg-mm-aaaa" type="text" name="date"
											ng-model="configuration.validFrom" style="width: 200px; height: 35px"> <span
											class="add-on" style="height: 35px"><i class="icon-th"></i></span>
									</div>
									<script type="text/javascript">
										$("#validFrom")
											.datepicker(
												{
													format: 'dd-mm-yyyy',
													language: 'it',
													viewMode: "days",
													minViewMode: "days",
													orientation: "bottom auto",
													autoclose: "true"
												})
									</script>
								</div>
							</td>
						</tr>
						<tr>
							<td>
								Fine periodo di competenza
							</td>
							<td>
								<div class="controls">
									<div class="input-append date" id="validTo" data-date-format="dd-mm-yyyy">
										<input placeholder="gg-mm-aaaa" type="text" name="date"
											ng-model="configuration.validTo" style="width: 200px; height: 35px;"> <span
											class="add-on" style="height: 35px"><i class="icon-th"></i></span>
									</div>
									<script type="text/javascript">
										$("#validTo")
											.datepicker(
												{
													format: 'dd-mm-yyyy',
													language: 'it',
													viewMode: "days",
													minViewMode: "days",
													orientation: "bottom auto",
													autoclose: "true"
												})
									</script>
								</div>
							</td>
						</tr>
						<tr ng-repeat="subConf in configuration.settings">

							<td style="text-align: left; width: 50%;">
								{{subConf.label}}
							</td>
							<td>
								<div>

									<input type="text" class="form-control" ng-model="subConf.value"
										style="width:400px; height:35px;">
								</div>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
		</form>
	</div>

</div>

<div style="margin-top: 15px">
	<table width="100%">
		<tr>
			<td>
			</td>
			<td align="left">
				<button autofocus type="button" class="btn addButton" ng-click="cancel()">
					<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;
					<strong>Chiudi</strong>
				</button>
			</td>
			<td align="right">
				<button type="button" class="btn addButton" ng-click="saveConfiguration()">
					<span class="glyphicon glyphicon-ok"></span>&nbsp;&nbsp;
					<strong>Salva</strong>
				</button>
			</td>
		</tr>
	</table>
</div>

<script type="text/javascript">
	$('#top_of_dialog')[0].scrollIntoView(true);
</script>